StarItemStyle Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Friends | List of all members
StarItemStyle Class Reference

brief class used to stored the style More...

`#include <StarItem.hxx>`

## Public Types
enum | FamilyStyle { F_Char =1, F_Paragraph =2, F_Frame =4, F_Page =8, F_Pseudo =0x10, F_ALL =0xFE }
| the different family style More...

## Public Member Functions
| StarItemStyle ()
| constructor More...

## Public Attributes
librevenge::RVNGString | m_names [4]
| the name, the parent name, the follow name, the help names More...
int | m_family
| the family More...
int | m_mask
| the mask More...
StarItemSet | m_itemSet
| the item list More...
unsigned | m_helpId
| the help id More...

## Friends
std::ostream & | operator<< (std::ostream &o, StarItemStyle const &style)
| operator<< More...

## Detailed Description

brief class used to stored the style

## Member Enumeration Documentation

enum StarItemStyle::FamilyStyle

the different family style

Enumerator
F_Char |
F_Paragraph |
F_Frame |
F_Page |
F_Pseudo |
F_ALL |

## Constructor & Destructor Documentation

StarItemStyle::StarItemStyle | ( |  | ) |
| inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | StarItemStyle const & | style
| ) |  |
| friend

operator<<

## Member Data Documentation

int StarItemStyle::m_family

the family

Referenced by operator<<(), and StarItemPool::readStyles().

unsigned StarItemStyle::m_helpId

the help id

Referenced by operator<<(), and StarItemPool::readStyles().

StarItemSet StarItemStyle::m_itemSet

the item list

Referenced by StarItemPool::defineGraphicStyle(), operator<<(), StarItemPool::readStyles(), StarObjectSpreadsheet::updatePageSpans(), and StarItemPool::updateUsingStyles().

int StarItemStyle::m_mask

the mask

Referenced by operator<<(), and StarItemPool::readStyles().

librevenge::RVNGString StarItemStyle::m_names[4]

the name, the parent name, the follow name, the help names

Referenced by StarItemPool::defineGraphicStyle(), operator<<(), StarItemPool::readStyles(), and StarObjectSmallGraphicInternal::SdrGraphicAttribute::updateStyle().

The documentation for this class was generated from the following file:

- StarItem.hxx